Bug 1048762 - [Neutron integration] If import networks fail on specific network the action of import other "other" networks stops as well
Summary: [Neutron integration] If import networks fail on specific network the action ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: x86_64
OS: Linux
high
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Lior Vernia
QA Contact: GenadiC
URL:
Whiteboard: network
Depends On: 1063716
Blocks: 1048772
TreeView+ depends on / blocked
 
Reported: 2014-01-06 10:18 UTC by GenadiC
Modified: 2016-02-10 19:49 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-12 14:06:31 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)

Description GenadiC 2014-01-06 10:18:41 UTC
Description of problem:
If you try to import 5 networks from External network provider to rhevm and import of network 3 fails the import of networks 4 and 5 will not be executed although import of those network should work

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create several networks on External Provider
2. For one of the networks create the network with the same name on rhevm
3. Try to import all the networks

Actual results:
Not only the import of network from 2 will fail, but if it was supposed to be imported before other networks they will not be imported either

Expected results:
Only problematic network import should fail. All other networks should succeed on import action

Additional info:

Comment 1 Lior Vernia 2014-03-12 12:50:48 UTC
This works for me, notice how the second operation succeeds even though the first one fails because the name was taken:

2014-03-12 14:47:44,681 INFO  [org.ovirt.engine.core.bll.network.dc.AddNetworkCommand] (http--0.0.0.0-8080-2) [b4ca28e] Lock Acquired to object EngineLock [exclusiveLocks= key: neutron_test value: NETWORK
, sharedLocks= ]
2014-03-12 14:47:44,686 INFO  [org.ovirt.engine.core.bll.network.dc.AddNetworkCommand] (http--0.0.0.0-8080-2) [b4ca28e] Running command: AddNetworkCommand internal: false. Entities affected :  ID: 00000002-0002-0002-0002-0000000001f0 Type: StoragePool
2014-03-12 14:47:44,805 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (http--0.0.0.0-8080-2) [b4ca28e] Correlation ID: b4ca28e, Call Stack: null, Custom Event ID: -1, Message: Network neutron_test was added to Data Center: Default
2014-03-12 14:47:44,807 INFO  [org.ovirt.engine.core.bll.network.dc.AddNetworkCommand] (http--0.0.0.0-8080-2) [b4ca28e] Lock freed to object EngineLock [exclusiveLocks= key: neutron_test value: NETWORK
, sharedLocks= ]
2014-03-12 14:47:44,869 INFO  [org.ovirt.engine.core.bll.network.vm.AddVnicProfileCommand] (http--0.0.0.0-8080-2) [1e5d8dea] Running command: AddVnicProfileCommand internal: false. Entities affected :  ID: fc97a929-bb05-4f7f-a8c5-15588185b4e7 Type: Network
2014-03-12 14:47:44,886 INFO  [org.ovirt.engine.core.bll.network.cluster.AttachNetworkToVdsGroupCommand] (org.ovirt.thread.pool-6-thread-33) [1b5c29e1] Running command: AttachNetworkToVdsGroupCommand internal: false. Entities affected :  ID: fc97a929-bb05-4f7f-a8c5-15588185b4e7 Type: Network
2014-03-12 14:47:44,938 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (http--0.0.0.0-8080-2) [1e5d8dea] Correlation ID: 1e5d8dea, Call Stack: null, Custom Event ID: -1, Message: VM network interface profile neutron_test was added to network neutron_test in Data Center: Default. (User: admin)
2014-03-12 14:47:44,946 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (org.ovirt.thread.pool-6-thread-33) [1b5c29e1] Correlation ID: 1b5c29e1, Call Stack: null, Custom Event ID: -1, Message: Network neutron_test attached to Cluster Default
2014-03-12 14:48:04,236 INFO  [org.ovirt.engine.core.bll.network.dc.AddNetworkCommand] (http--0.0.0.0-8080-2) [62b383d5] Lock Acquired to object EngineLock [exclusiveLocks= key: neutron_test value: NETWORK
, sharedLocks= ]
2014-03-12 14:48:04,238 WARN  [org.ovirt.engine.core.bll.network.dc.AddNetworkCommand] (http--0.0.0.0-8080-2) [62b383d5] CanDoAction of action AddNetwork failed. Reasons:VAR__TYPE__NETWORK,VAR__ACTION__ADD,ACTION_TYPE_FAILED_NETWORK_NAME_IN_USE
2014-03-12 14:48:04,239 INFO  [org.ovirt.engine.core.bll.network.dc.AddNetworkCommand] (http--0.0.0.0-8080-2) [62b383d5] Lock freed to object EngineLock [exclusiveLocks= key: neutron_test value: NETWORK
, sharedLocks= ]
2014-03-12 14:48:04,276 INFO  [org.ovirt.engine.core.bll.network.dc.AddNetworkCommand] (http--0.0.0.0-8080-2) [1bdd8cf2] Lock Acquired to object EngineLock [exclusiveLocks= key: N_w_subnet value: NETWORK
, sharedLocks= ]
2014-03-12 14:48:04,281 INFO  [org.ovirt.engine.core.bll.network.dc.AddNetworkCommand] (http--0.0.0.0-8080-2) [1bdd8cf2] Running command: AddNetworkCommand internal: false. Entities affected :  ID: 00000002-0002-0002-0002-0000000001f0 Type: StoragePool
2014-03-12 14:48:04,389 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (http--0.0.0.0-8080-2) [1bdd8cf2] Correlation ID: 1bdd8cf2, Call Stack: null, Custom Event ID: -1, Message: Network N_w_subnet was added to Data Center: Default
2014-03-12 14:48:04,390 INFO  [org.ovirt.engine.core.bll.network.dc.AddNetworkCommand] (http--0.0.0.0-8080-2) [1bdd8cf2] Lock freed to object EngineLock [exclusiveLocks= key: N_w_subnet value: NETWORK
, sharedLocks= ]
2014-03-12 14:48:04,800 INFO  [org.ovirt.engine.core.bll.network.cluster.AttachNetworkToVdsGroupCommand] (http--0.0.0.0-8080-2) [270fa796] Running command: AttachNetworkToVdsGroupCommand internal: false. Entities affected :  ID: dc2e858b-a66b-4ab0-856a-c30fab0894c7 Type: Network
2014-03-12 14:48:04,839 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (http--0.0.0.0-8080-2) [270fa796] Correlation ID: 270fa796, Call Stack: null, Custom Event ID: -1, Message: Network N_w_subnet attached to Cluster Default
2014-03-12 14:48:04,867 INFO  [org.ovirt.engine.core.bll.network.vm.AddVnicProfileCommand] (http--0.0.0.0-8080-2) [474a33c7] Running command: AddVnicProfileCommand internal: false. Entities affected :  ID: dc2e858b-a66b-4ab0-856a-c30fab0894c7 Type: Network
2014-03-12 14:48:04,889 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (http--0.0.0.0-8080-2) [474a33c7] Correlation ID: 474a33c7, Call Stack: null, Custom Event ID: -1, Message: VM network interface profile N_w_subnet was added to network N_w_subnet in Data Center: Default. (User: admin)

Comment 2 GenadiC 2014-03-16 15:18:01 UTC
Verified in av3

Comment 3 Itamar Heim 2014-06-12 14:06:31 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.